/**
 * @description 用户相关 API 接口，封装用户信息的查询与更新请求
 * @author D吕贺034244311
 * @date 20260619
 */
import { post } from '@/utils/request'

export function login(data) {
  return post('/exam/api/sys/user/login', data)
}

export function getInfo(token) {
  return post('/exam/api/sys/user/info?token=' + token)
}

export function logout() {
  return post('/exam/api/sys/user/logout', {})
}

export function reg(data) {
  return post('/exam/api/sys/user/reg', data)
}
